%global kde_name org.kde.phone.dialer

Name:           plasma-dialer
Version:        21.12
Release:        1%{?dist}
License:        GPLv3
Summary:        Convergent Plasma Mobile dialer application
Url:            https://invent.kde.org/plasma-mobile/plasma-dialer
Source0:        https://download.kde.org/stable/plasma-mobile/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  appstream

BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5People)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5PulseAudioQt) >= 1.3
BuildRequires:  cmake(KF5ModemManagerQt)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(Qt5Feedback)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  pkgconfig(libpulse)

BuildRequires:  libphonenumber-devel
BuildRequires:  protobuf-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  hicolor-icon-theme

Requires:       kf5-kcontacts
Requires:       kf5-kcoreaddons
Requires:       kf5-modemmanager-qt
Requires:       oxygen-sound-theme
###Requires:       telepathy-qt5
###Requires:       telepathy-mission-control
Requires:       google-noto-sans-cjk-ttc-fonts
Requires:       qt5-qtfeedback


%description
%{summary}.

%prep
%autosetup -n plasma-dialer-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name

#HACK: sleep the dialer app launch until telephony services are ready
# sed -i s/'Exec='/'Exec=sleep 15; '/ %{buildroot}%{_kf5_configdir}/autostart/*.desktop


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{kde_name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{kde_name}.desktop


%files -f %{name}.lang
%{_kf5_bindir}/plasmaphonedialer

%{_kf5_metainfodir}/%{kde_name}.appdata.xml
%{_kf5_datadir}/applications/%{kde_name}.desktop
%{_sysconfdir}/xdg/autostart/org.kde.modem.daemon.desktop
%{_sysconfdir}/xdg/autostart/org.kde.telephony.daemon.desktop
%{_kf5_datadir}/icons/hicolor/scalable/apps/dialer.svg
%{_datadir}/knotifications5/plasma_dialer.notifyrc

%{_datadir}/dbus-1/interfaces/org.kde.telephony.*
%{_datadir}/dbus-1/services/org.kde.telephony.service
%{_datadir}/dbus-1/services/org.kde.modemdaemon.service
%{_libdir}/libktelephonymetatypes.a
%{_kf5_qmldir}/org/kde/telephony/libKTelephonyPluginDeclarative.so
%{_kf5_qmldir}/org/kde/telephony/qmldir
%{_libexecdir}/kde-telephony-daemon
%{_libexecdir}/modem-daemon
%{_includedir}/KF5/kTelephonyMetaTypes/dialer-types.h

%changelog
* Sun Dec 19 2021 Yoda - 21.12-1
- Update to Gear 21.12
* Fri Nov 05 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.08-1
- initial version plasma-dialer

